Search documentation of ash

# View Source Ash.Resource.Calculation.LoadRelationship (ash v3.4.30)

Loads a relationship as a calculation.

Can be used to load the same relationship with a different query.

# Summary

## Functions

calculate(results, opts, context)

Callback implementation for `Ash.Resource.Calculation.calculate/3`.

describe(opts)

Callback implementation for `Ash.Resource.Calculation.describe/1`.

has_calculate?()
has_expression?()

Callback implementation for `Ash.Resource.Calculation.has_expression?/0`.

init(opts)

Callback implementation for `Ash.Resource.Calculation.init/1`.

load(query, opts, arg3)

Callback implementation for `Ash.Resource.Calculation.load/3`.

strict_loads?()

Callback implementation for `Ash.Resource.Calculation.strict_loads?/0`.

# Functions

Link to this function

# calculate(results, opts, context)

View Source

Callback implementation for `Ash.Resource.Calculation.calculate/3`.

Link to this function

# describe(opts)

View Source

Callback implementation for `Ash.Resource.Calculation.describe/1`.

Link to this function

# has_calculate?()

View Source
Link to this function

# has_expression?()

View Source

Callback implementation for `Ash.Resource.Calculation.has_expression?/0`.

Link to this function

# init(opts)

View Source

Callback implementation for `Ash.Resource.Calculation.init/1`.

Link to this function

# load(query, opts, arg3)

View Source

Callback implementation for `Ash.Resource.Calculation.load/3`.

Link to this function

# strict_loads?()

View Source

Callback implementation for `Ash.Resource.Calculation.strict_loads?/0`.